server:
  port: 38888
  servlet:
    context-path: /pm

spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  session:
    store-type: redis
    redis:
      namespace: "spring:session"
  redis:
    timeout: 5000
    host: localhost
    port: 6379
    database: 0
    password: Ndkj1234
    jedis:
      pool:
        max-active: 200
        max-idle: 500
        min-idle: 8
        max-wait: 10000
  application:
    name: pm
  jackson:
    default-property-inclusion: non_null
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  jpa:
    properties:
      hibernate:
        default_schema: PUBLIC
        hbm2ddl:
          auto: update
        show_sql: true
    show-sql: true
    hibernate:
      ddl-auto: update
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driverClassName: com.kingbase8.Driver
    # 数据源
    druid:
      url: jdbc:kingbase8://10.53.168.41:54321/nd_project_management?zeroDateTimeBehavior=convertToNull&useUnicode=true&characterEncoding=utf-8&nullCatalogMeansCurrent=true
      username: SYSTEM
      password: Ndkj1234
      # 初始连接数
      initialSize: 5
      # 最小连接池数量
      minIdle: 10
      # 最大连接池数量
      maxActive: 20
      # 配置获取连接等待超时的时间
      maxWait: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 300000
      # 配置一个连接在池中最大生存的时间，单位是毫秒
      maxEvictableIdleTimeMillis: 900000
      # 配置检测连接是否有效
      #mysql使用：SELECT 1 FROM DUAL
      validationQuery: SELECT 1
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      webStatFilter:
        enabled: true
      statViewServlet:
        enabled: true
        # 设置白名单，不填则允许所有访问
        allow:
        url-pattern: /druid/*
        # 控制台管理用户名和密码
        login-username: admin
        login-password: admin
      filter:
        stat:
          enabled: true
          # 慢SQL记录
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        wall:
          config:
            multi-statement-allow: true
  #设置上传 单个文件的大小
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 150MB
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    db-config:
      logic-delete-value: true
      logic-not-delete-value: false
logging:
  config: classpath:logback-spring.xml
  #日志配置
  level:
    root: info
  file:
    path: logs
nd:
  cache:
    type: REDIS
    serializerType: ProtoStuff
    cacheNullVal: true
    def:
      keyPrefix: pm
  log:
    enabled: true
    type: DB
  # 文件存储
  file:
    storage-type: ALI_OSS
    ali:
      protocol: http://
      bucket: projectmangmentoss
      urlPrefix: oss-cn-lishui-gov-d01-a.ops.lsdx-zw.gov.cn
      endpoint: oss-cn-lishui-gov-d01-a.ops.lsdx-zw.gov.cn
      accessKeyId: XS3kNLtfW5i41SaC
      accessKeySecret: 2cywvSZWANml7pZXxRAeAiHfisIhqm
# 日志文件配置
log:
  path: ./logs
  info:
    file-size: 50MB
    max-size: 5
    total-size: 200MB
  error:
    file-size: 10MB
    max-size: 5
    total-size: 50MB

swagger:
  enabled: true

flowable:
  async-executor-activate: true
  #关闭一些不需要的功能服务
  rest-api-enabled: false
  #  database-schema-update: false
  idm:
    enabled: false
  common:
    enabled: false
  dmn:
    enabled: false
  form:
    enabled: false
  app:
    enabled: false

wflow:
  file:
    max-size: 20 #最大文件上传大小，MB

sa-token:
  # token 名称 (同时也是cookie名称)
  token-name: wflowToken
  # token 有效期，单位s 默认30天, -1代表永不过期
  timeout: 172800
  # token 临时有效期 (指定时间内无操作就视为token过期) 单位: 秒
  activity-timeout: -1
  # 是否允许同一账号并发登录 (为true时允许一起登录, 为false时新登录挤掉旧登录)
  is-concurrent: true
  # 在多人登录同一账号时，是否共用一个token (为true时所有登录共用一个token, 为false时每次登录新建一个token)
  is-share: false
  # token风格
  token-style: uuid
  # 是否输出操作日志
  is-log: false
#浙政钉公司顶级organizationCode
organization:
  dept-visible-scopes:
    - GO_c1a6f8d5338e4a468337b08da76e2e31

yxt:
  wsdl-url: classpath:wsdl-prod.xml
  #账号
  user-code: Lssdsjj
  #密码
  password: Lssdsjj@2021
  #音信通开关
  sms-enable: true
  tel-enable: true

#省局联审 请求信息
provincial:
  host: https://pms.zj.gov.cn/prometheus-zhejiang_foreign
  pushUrl: /api/v1/foreign/importantPro
  detailUrl: /api/v1/foreign/importantProView
  domainUrl: /api/v1/foreign/dominantUnit
  key: b5b2096953534a53991be4ea95f8cffa
  secret: 1bec9b77134d4962ac466fbe9696b897
#  host: http://223.4.72.75/prometheus-zhejiang_foreign
#  pushUrl: /api/v1/foreign/importantPro
#  detailUrl: /api/v1/foreign/importantProView
#  key: b5b2096953534a53991be4ea95f8cffa
#  secret: 1bec9b77134d4962ac466fbe9696b897


#天印服务器接口信息
irs:
  is-search-app: true
  digital-resource-indicators:
    url: https://interface.zjzwfw.gov.cn/gateway/api/proxy/001003001029/dataSharing/99E2bic31KdXzaa7.htm
    interfaceName: 99E2bic31KdXzaa7
    app-key: A331101453557202109017383
    app-secret: 496f0f2a19994f76b4fd9dae087366c7
  seal-platform:
    project-id: 330001110
    project-secret: 70e512d40c8f440484db4acab181570a
    access-key: 42bcb49bea174986a3bfdfba7d005566
    secret-key: bebff29877d4443abd67fc4f8fb335d8
    api-url: https://bcdsg.zj.gov.cn:8443/restapi/prod/IC33000020220309000004/seal-platform/seal/v1/rest/sign/signPdf
  app-report:
    url: https://bcdsg.zj.gov.cn:8443/restapi/prod/IC33000020230427000001/irs-res-bill/report/pdfUrl
    appScret: BCDSGS_4ab4235d26a9a357170a39f3a13fd68c
    appKey: BCDSGA_d874c8e46b541eb4e8aac6510fd3351b
  push-app:
    url: https://interface.zjzwfw.gov.cn/gateway/api/proxy/001003001029/dataSharing/94wbaL1I1Pbz0648.htm
    appScret: 496f0f2a19994f76b4fd9dae087366c7
    appKey: A331101453557202109017383
  search-app:
    url: https://interface.zjzwfw.gov.cn/gateway/api/001003001029/dataSharing/XS8daav3bcemZ3Ra.htm
    appScret: 496f0f2a19994f76b4fd9dae087366c7
    appKey: A331101453557202109017383
  province-gov:
    can-search: true
    url: https://interface.zjzwfw.gov.cn/gateway/api/proxy/001003001029/dataSharing/62vd5jAdM0b7Gr00.htm
    interfaceName: 62vd5jAdM0b7Gr00
    appSecret: 496f0f2a19994f76b4fd9dae087366c7
    appKey: A331101453557202109017383
  push-project-detail:
    url: https://interface.zjzwfw.gov.cn/gateway/api/proxy/001003001029/dataSharing/3XN9R93Pva6db7sf.htm
    interfaceName: 3XN9R93Pva6db7sf
    appSecret: 496f0f2a19994f76b4fd9dae087366c7
    appKey: A331101453557202109017383
  interface-refresh:
    method: POST
    request-token-url: https://interface.zjzwfw.gov.cn/gateway/app/refreshTokenByKey.htm?appKey={appKey}&requestTime={requestTime}&sign={sign}
    refresh-token-url: https://interface.zjzwfw.gov.cn/gateway/app/refreshTokenBySec.htm?appKey={appKey}&requestTime={requestTime}&sign={sign}
  interface-local-refresh:
    method: GET
    request-token-url: https://interface.ls.local/a/api/requestTokenKey?appKey={appKey}&requestTime={requestTime}&sign={sign}
    refresh-token-url: https://interface.ls.local/a/api/refreshTokenKey?appKey={appKey}&requestTime={requestTime}&sign={sign}
hostname: iZ6mx01asxnsmennpzoxooZ
login:
  phone-verify-code:
    skip: true
